/*
	AramakiOnline
	Copyright (C) 2008 superbacker

	This program is free software; you can redistribute it and/or modify it under the terms
	of the GNU General Public License as published by the Free Software Foundation;
	either version 3 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful, but WITHOUT ANY
	WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
	FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

	You should have received a copy of the GNU General Public License along with this
	program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef UTILITY_H_
#define UTILITY_H_

//x以上の最小の2の冪乗を返す
inline int toPow2(int x) {
	int y=1;
	while (y<x) y<<=1;
	return y;
}

//度からラジアンに変換
inline double toRadian(double degree) {
	return degree*3.141592/180;
}

#endif /* UTILITY_H_ */
